<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Data Followup</title>
</head>
<!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
        new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
    j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
    'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
<!-- End Google Tag Manager -->

<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <h1>Data Followup</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="body">
                                            <form method="get">
                                                <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right top_search">
                                                    <div class="input-group">
                                                        <input type="text" name="nama"
                                                               class="form-control" th:value="${nama}"
                                                        placeholder="Cari Nama...">
                                                        <span class="input-group-btn">
                                                             <button class="btn btn-info" style="color: white;" type="submit">Cari</button>
                                                        </span>
                                                    </div>
                                                    <span class="pull-right">Show <span sd:page-size-selector="javascript"></span> entries</span>
                                                </div>
<!--                                                <div class="col-md-5 col-sm-6 col-xs-12 form-group pull-left top_search">-->
<!--                                                    <a th:href="@{/followup/form}" class="btn btn-md  btn-warning">Tambah</a>-->
<!--                                                </div>-->
                                            </form>
                                            <hr>
                                            <div class="row">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered table-striped table-hover">
                                                        <thead>
                                                        <tr>
                                                            <th>No</th>
                                                            <th>Nama</th>
                                                            <th>Username</th>
                                                            <th>Status</th>
                                                            <th>S1</th>
                                                            <th>S2</th>
                                                            <th>KK</th>
                                                            <th>Kategori</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="p, row : ${listFu}">
                                                            <td th:text="${(row.index + 1) + (listFu.number * listFu.size)}">#</td>
                                                            <td th:text="${p. nama +' - '+ p.id}">muamalah</td>
                                                            <td th:text="${p.user.username}">10-08-2017</td>
                                                            <td>
                                                                <form th:action="@{/followup/nonAktif(fu=${p.id})}" th:if="${p.status.AKTIF == p.status}" method="post">
                                                                    <button class="btn btn-xs btn-info">Aktif</button>
                                                                </form>
                                                                <form th:action="@{/followup/aktif(fu=${p.id})}" th:if="${p.status.NONAKTIF == p.status}" method="post">
                                                                    <button class="btn btn-xs btn-danger">Tidak Aktif</button>
                                                                </form>
                                                            </td>
                                                            <td>
                                                                <form th:action="@{/followup/nonAktifS1(fu=${p.id})}" th:if="${p.s1.AKTIF == p.s1}" method="post">
                                                                    <button class="btn btn-xs btn-info">Aktif</button>
                                                                </form>
                                                                <form th:action="@{/followup/aktifS1(fu=${p.id})}" th:if="${p.s1.NONAKTIF == p.s1}" method="post">
                                                                    <button class="btn btn-xs btn-danger">Tidak Aktif</button>
                                                                </form>                                                            </td>
                                                            <td>
                                                                <form th:action="@{/followup/nonAktifS2(fu=${p.id})}" th:if="${p.s2.AKTIF == p.s2}" method="post">
                                                                    <button class="btn btn-xs btn-info">Aktif</button>
                                                                </form>
                                                                <form th:action="@{/followup/aktifS2(fu=${p.id})}" th:if="${p.s2.NONAKTIF == p.s2}" method="post">
                                                                    <button class="btn btn-xs btn-danger">Tidak Aktif</button>
                                                                </form>                                                            </td>
                                                            <td>
                                                                <form th:action="@{/followup/nonAktifKk(fu=${p.id})}" th:if="${p.kk.AKTIF == p.kk}" method="post">
                                                                    <button class="btn btn-xs btn-info">Aktif</button>
                                                                </form>
                                                                <form th:action="@{/followup/aktifKk(fu=${p.id})}" th:if="${p.kk.NONAKTIF == p.kk}" method="post">
                                                                    <button class="btn btn-xs btn-danger">Tidak Aktif</button>
                                                                </form>
                                                            </td>
                                                            <td>
                                                                <form  th:action="@{/followup/update(id=${p.id})}" th:each="sc : ${followup}" th:if="${sc.id == p.id}" th:object="${sc}"  method="post">
                                                                    <select name="kategori" class="form-control js-example-placeholder-single"
                                                                            th:id="${sc.id}" onchange="updateKategori(this)" id="kategori"  required autofocus  >
                                                                        <option value="">~~</option>
                                                                        <option th:selected="${'Ads' == sc.kategori}" value="Ads">Ads</option>
                                                                        <option th:selected="${'Booth' == sc.kategori}" value="Booth">Booth</option>
                                                                        <option th:selected="${'Semua' == sc.kategori}" value="Semua">Semua</option>
                                                                    </select>
                                                                </form>
                                                            </td>
                                                        </tr>

                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div sd:pagination-summary="">info</div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-8">
                                                    <nav class="pull-right">
                                                        <ul class="pagination" sd:pagination="full">
                                                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                        </ul>
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                        <!--//table//-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
<th:block layout:fragment="script">
    <script>
    function updateKategori(arg) {
        var id = arg.getAttribute('id');
        var value = arg.value;
        var idSc = id;

        var token = $("input[name='_csrf']").val();
        var url = "/kategori/update/" + idSc + '?kategori=' + value;

        $.ajax({
            url: url,
            contentType: "application/json;charset=UTF-8",
            headers: {"X-CSRF-TOKEN": token},
            method: 'post',
            dataType: 'JSON',
            success: function (data) {
            }
        })
    }</script>
</th:block>
<script>
    var agreement = document.querySelector('#agreement');

    agreement.addEventListener('change', function(element) {
        if(agreement.checked){
            document.getElementById("status").value = "AKTIF";
            console.log('TRUE')
        }else{
            console.log('FALSE')
            document.getElementById("status").value = "NONAKTIF";
        }

        console.log('Agreement changed to ' + document.getElementById("status").value);
    });

    function simpanStatus(arg) {
        var id = arg.getAttribute('id');
        var value = arg.value;
        var idSc = id;

        var token = $("input[name='_csrf']").val();
        var url = "/update/statusFU/" + idSc + '?status=' + value;

        $.ajax({
            url: url,
            contentType: "application/json;charset=UTF-8",
            headers: {"X-CSRF-TOKEN": token},
            method: 'post',
            dataType: 'JSON',
            success: function (data) {
            }
        })
    }
</script>
</html>